<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: datasource   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>DataSource Utility&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_datasource.html">datasource</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: datasource
                    
                    <span class="description"><em>Beta</em></span>


                    </h3>
                    <div class="description summary">
                        The DataSource utility provides a common configurable interface for widgets
to access a variety of data, from JavaScript arrays to online servers over
XHR.
                    </div>

                    <form onsubmit="return false">
                        <p>Search datasource:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "DataSource.html#_aCache", "host": "DataSource", "name": "_aCache"}, {"url": "DataSource.html#addToCache", "host": "DataSource", "name": "addToCache"}, {"url": "DataSource.html#cacheFlushEvent", "host": "DataSource", "name": "cacheFlushEvent"}, {"url": "DataSource.html#cacheRequestEvent", "host": "DataSource", "name": "cacheRequestEvent"}, {"url": "DataSource.html#connMgr", "host": "DataSource", "name": "connMgr"}, {"url": "DataSource.html#connTimeout", "host": "DataSource", "name": "connTimeout"}, {"url": "DataSource.html#dataErrorEvent", "host": "DataSource", "name": "dataErrorEvent"}, {"url": "DataSource.html#dataType", "host": "DataSource", "name": "dataType"}, {"url": "DataSource.html#ERROR_DATAINVALID", "host": "DataSource", "name": "ERROR_DATAINVALID"}, {"url": "DataSource.html#ERROR_DATANULL", "host": "DataSource", "name": "ERROR_DATANULL"}, {"url": "DataSource.html#flushCache", "host": "DataSource", "name": "flushCache"}, {"url": "DataSource.html#getCachedResponse", "host": "DataSource", "name": "getCachedResponse"}, {"url": "DataSource.html#getCachedResponseEvent", "host": "DataSource", "name": "getCachedResponseEvent"}, {"url": "DataSource.html#handleResponse", "host": "DataSource", "name": "handleResponse"}, {"url": "DataSource.html#isCacheHit", "host": "DataSource", "name": "isCacheHit"}, {"url": "DataSource.html#liveData", "host": "DataSource", "name": "liveData"}, {"url": "DataSource.html#makeConnection", "host": "DataSource", "name": "makeConnection"}, {"url": "DataSource.html#maxCacheEntries", "host": "DataSource", "name": "maxCacheEntries"}, {"url": "DataSource.html#_nIndex", "host": "DataSource", "name": "_nIndex"}, {"url": "DataSource.html#parseArrayData", "host": "DataSource", "name": "parseArrayData"}, {"url": "DataSource.html#parseJSONData", "host": "DataSource", "name": "parseJSONData"}, {"url": "DataSource.html#parseResponseEvent", "host": "DataSource", "name": "parseResponseEvent"}, {"url": "DataSource.html#parseTextData", "host": "DataSource", "name": "parseTextData"}, {"url": "DataSource.html#parseXMLData", "host": "DataSource", "name": "parseXMLData"}, {"url": "DataSource.html#requestEvent", "host": "DataSource", "name": "requestEvent"}, {"url": "DataSource.html#responseCacheEvent", "host": "DataSource", "name": "responseCacheEvent"}, {"url": "DataSource.html#responseParseEvent", "host": "DataSource", "name": "responseParseEvent"}, {"url": "DataSource.html#responseType", "host": "DataSource", "name": "responseType"}, {"url": "DataSource.html#sendRequest", "host": "DataSource", "name": "sendRequest"}, {"url": "DataSource.html#_sName", "host": "DataSource", "name": "_sName"}, {"url": "DataSource.html#toString", "host": "DataSource", "name": "toString"}, {"url": "DataSource.html#TYPE_JSARRAY", "host": "DataSource", "name": "TYPE_JSARRAY"}, {"url": "DataSource.html#TYPE_JSFUNCTIOn", "host": "DataSource", "name": "TYPE_JSFUNCTIOn"}, {"url": "DataSource.html#TYPE_JSON", "host": "DataSource", "name": "TYPE_JSON"}, {"url": "DataSource.html#TYPE_TEXT", "host": "DataSource", "name": "TYPE_TEXT"}, {"url": "DataSource.html#TYPE_UNKNOWN", "host": "DataSource", "name": "TYPE_UNKNOWN"}, {"url": "DataSource.html#TYPE_XHR", "host": "DataSource", "name": "TYPE_XHR"}, {"url": "DataSource.html#TYPE_XML", "host": "DataSource", "name": "TYPE_XML"}, {"url": "DataSource.html#_xhrCallback", "host": "DataSource", "name": "_xhrCallback"}, {"url": "DataSource.html#_xhrFailure", "host": "DataSource", "name": "_xhrFailure"}, {"url": "DataSource.html#_xhrSuccess", "host": "DataSource", "name": "_xhrSuccess"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class="selected"><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="DataSource.html">DataSource</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="DataSource.js.html">DataSource.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
